API Reference (1.x)Application nodes
Node configuration
Displays the Wings configuration
GET
/api/application/nodes/{node}/configurationAuthorization
ApplicationToken AuthorizationBearer <token>
Application API key (generated at /admin/api)
In: header
Path Parameters
node*integer
Node ID
Response Body
application/json
curl -X GET "https://example.com/api/application/nodes/1/configuration"{ "debug": false, "uuid": "1046d1d1-b8ef-4771-82b1-2b5946d33397", "token_id": "iAcosCn1KCAgVjVO", "token": "FanPzLCptUxkGow3vi7Z", "api": { "host": "0.0.0.0", "port": 8080, "ssl": { "enabled": true, "cert": "/etc/letsencrypt/live/pterodactyl.file.properties/fullchain.pem", "key": "/etc/letsencrypt/live/pterodactyl.file.properties/privkey.pem" }, "upload_limit": 100 }, "system": { "data": "/srv/daemon-data", "sftp": { "bind_port": 2022 } }, "remote": "https://pterodactyl.file.properties"}Edit on GitHub
Last updated on